Page MenuHomePhabricator

Use recording rules for k8s Prometheus alerts
Closed, ResolvedPublic

Description

To simplify the alert definition in puppet/icinga we should be using recording rules for k8s alerts.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2018, 4:27 PM

Change 429415 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] prometheus: define recording rules for k8s alerts

https://gerrit.wikimedia.org/r/429415

Change 429416 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] k8s: simplify prometheus alerts with recording rules

https://gerrit.wikimedia.org/r/429416

Change 429415 merged by Filippo Giunchedi:
[operations/puppet@production] prometheus: define recording rules for k8s alerts

https://gerrit.wikimedia.org/r/429415

fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Apr 30 2018, 2:54 PM

Change 429416 merged by Filippo Giunchedi:
[operations/puppet@production] k8s: simplify prometheus alerts with recording rules

https://gerrit.wikimedia.org/r/429416

Change 430299 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] kubernetes: allow NaN for Prometheus alerts

https://gerrit.wikimedia.org/r/430299

Change 430299 merged by Filippo Giunchedi:
[operations/puppet@production] kubernetes: allow NaN for Prometheus alerts

https://gerrit.wikimedia.org/r/430299

Change 430315 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] kubernetes: escape exclamation mark in apiserver latency check

https://gerrit.wikimedia.org/r/430315

Change 430315 merged by Filippo Giunchedi:
[operations/puppet@production] kubernetes: escape exclamation mark in apiserver latency check

https://gerrit.wikimedia.org/r/430315

fgiunchedi closed this task as Resolved.May 2 2018, 4:38 PM
Vvjjkkii renamed this task from Use recording rules for k8s Prometheus alerts to 14daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed fgiunchedi as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Yann renamed this task from 14daaaaaaa to Use recording rules for k8s Prometheus alerts.Jul 1 2018, 1:39 PM
Yann raised the priority of this task from High to Needs Triage.
Yann assigned this task to fgiunchedi.
Yann updated the task description. (Show Details)
Yann closed this task as Resolved.
Yann added subscribers: gerritbot, Aklapper.